import { Framework } from "../../framework.core.js";

var

	// Map over jQuery in case of overwrite
	_Framework = window.Framework,

	// Map over the $ in case of overwrite
	_f = window.f;

Framework.noConflict = function( deep ) {
	if ( window.f === Framework ) {
		window.f = _f;
	}

	if ( deep && window.Framework === Framework ) {
		window.Framework = _Framework;
	}

	return Framework;
};

// Expose jQuery and $ identifiers, even in AMD
// (trac-7102#comment:10, gh-557)
// and CommonJS for browser emulators (trac-13566)
if ( typeof noGlobal === "undefined" ) {
	window.Framework = window.f = Framework;
}